<template>
	<view>
		<u-navbar :is-back="true" title='上传' title-color="#000" :border-bottom="false" :background="true"
			id="navbar">
		</u-navbar>
		<!-- 111 -->
		<button @click="btn()">上传图片</button>
		<view style="width: 750rpx;height: 750rpx;">
			<image :src="item" v-for="(item,index) in imglist" :key="index" style="width: 750rpx;height: 750rpx;"></image>
		</view>
	</view>
</template>

<script>
	export default {
			data() {
				return {
					imglist:[],
					token: '',
					upurl:''
				}
			},
			onLoad() {
				this.getQiniuToken()
				console.log('diaoyong le ');
				
			},
			methods:{
				btn(){
					let _this=this
					let math='static/'+_this.$u.guid(20)
					uni.chooseMessageFile({
					  count: 10,
					  type: 'all',
					  success (res) {
					    // tempFilePath可以作为img标签的src属性显示图片
					    const tempFilePaths = res.tempFiles
						// let tempFilePaths = chooseImageRes.tempFilePaths;
						// console.log(tempFilePaths)
						// tempFilePaths.forEach(item=>{
						// 	// 上传图片到七牛云
							
						// })
						wx.uploadFile({
							url: 'https://up-z2.qiniup.com', 
							name: 'file',
							filePath: tempFilePaths[0].path,
							formData: {
								token: _this.token, //后端返回的token
								key:'bike/img/'+math
							},
							success: function(res) {
								console.log(res,'resres');
								let str = JSON.parse(res.data)
								console.log(str.key)
								_this.userImgs = _this.upurl +'/'+ str.key
								console.log(_this.userImgs)
								_this.imglist.push(_this.userImgs)
							}
						});
					  }
					})
					// uni.chooseFile({
					// 	success: (chooseImageRes) => {
					// 		let tempFilePaths = chooseImageRes.tempFilePaths;
					// 		console.log(tempFilePaths)
					// 		tempFilePaths.forEach(item=>{
					// 			// 上传图片到七牛云
					// 			wx.uploadFile({
					// 				url: 'https://saxn40pko.hn-bkt.clouddn.com', 
					// 				name: 'file',
					// 				filePath: item,
					// 				formData: {
					// 					token: _this.token, //后端返回的token
					// 					key:'yasiimg/web/'+math
					// 				},
					// 				success: function(res) {
								
					// 					let str = JSON.parse(res.data)
					// 					// console.log(str.key)
					// 					// _this.userImgs = 'https://file.langsi.online/' + str.key+'.pdf'
					// 					console.log(_this.userImgs)
					// 					_this.imglist.push(_this.userImgs)
					// 				}
					// 			});
					// 		})
							
							
					// 	}
					// });
				},
				// 获取上传七牛云token
				getQiniuToken() {
					console.log('diaou');
						this.$u.get("/common/qiniu/uploadInfo").then((res) => {
							if (res.code == 200) {
							this.token=res.token
							console.log(res,'resres');
							this.upurl=res.domain
							}
						});
					// this.$u.get('https://v2.ielts.langsi.online/file/getToken').then(res => {
					// 	console.log(res.data);
					// 	this.token = res.data.token
					// }).catch(err => {
					// 	console.log(err)
					// })
					
				},
			}
		}
</script>

<style>
</style>